Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.decorator
Class PatternPredicate

    java.lang.Object
      org.jdesktop.swingx.decorator.PatternPredicate

All Implemented Interfaces:
  HighlightPredicate

    public class PatternPredicate

extends java.lang.Object
implements HighlightPredicate

Pattern based HighlightPredicate.

Author:
  Jeanette Winzenburg

Nested Class Summary

Nested classes/interfaces inherited from interface org.jdesktop.swingx.decorator.HighlightPredicate
`HighlightPredicate.AndHighlightPredicate, HighlightPredicate.ColumnHighlightPredicate, HighlightPredicate.DepthHighlightPredicate, HighlightPredicate.EqualsHighlightPredicate, HighlightPredicate.IdentifierHighlightPredicate, HighlightPredicate.NotHighlightPredicate, HighlightPredicate.OrHighlightPredicate, HighlightPredicate.RowGroupHighlightPredicate, HighlightPredicate.TypeHighlightPredicate`

Field Summary
`static int` | `ALL`

Fields inherited from interface org.jdesktop.swingx.decorator.HighlightPredicate
`ALWAYS, BIG_DECIMAL_NEGATIVE, EDITABLE, EMPTY_INTEGER_ARRAY, EMPTY_OBJECT_ARRAY, EMPTY_PREDICATE_ARRAY, EVEN, HAS_FOCUS, INTEGER_NEGATIVE, IS_FOLDER, IS_LEAF, IS_SELECTED, IS_TEXT_TRUNCATED, NEVER, ODD, READ_ONLY, ROLLOVER_CELL, ROLLOVER_COLUMN, ROLLOVER_ROW`

Constructor Summary
`PatternPredicate(java.util.regex.Pattern pattern, int testColumn)` Instantiates a Predicate with the given Pattern and testColumn index (in model coordinates) highlighting all columns.
`PatternPredicate(java.util.regex.Pattern pattern, int testColumn, int decorateColumn)` Instantiates a Predicate with the given Pattern and test-/decorate column index in model coordinates.
`PatternPredicate(java.lang.String regex, int testColumn)` Instantiates a Predicate with the given regex and test column index in model coordinates.
`PatternPredicate(java.lang.String regex, int testColumn, int decorateColumn)` Instantiates a Predicate with the given regex and test-/decorate column index in model coordinates.

Method Summary
`int` | `getHighlightColumn()`
`java.util.regex.Pattern` | `getPattern()`
`int` | `getTestColumn()`
`boolean` | `isHighlighted(java.awt.Component renderer, ComponentAdapter adapter)` Returns a boolean to indicate whether the component should be highlighted.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL

    public static final int ALL

See Also:
  Constant Field Values

Constructor Detail

### PatternPredicate

    public PatternPredicate(java.util.regex.Pattern pattern,
                            int testColumn)

  Instantiates a Predicate with the given Pattern and testColumn index (in model coordinates) highlighting all columns. A column index of -1 is interpreted as "all". (PENDING: search forum for the exact definition, legacy base pattern and search behave differently?)

  Parameters:
    `pattern` - the Pattern to test the cell value against
    `testColumn` - the column index of the cell which contains the value to test against the pattern

### PatternPredicate

    public PatternPredicate(java.util.regex.Pattern pattern,
                            int testColumn,
                            int decorateColumn)

  Instantiates a Predicate with the given Pattern and test-/decorate column index in model coordinates. A column index of -1 is interpreted as "all". (PENDING: search forum for the exact definition, legacy base pattern and search behave differently?)

  Parameters:
    `pattern` - the Pattern to test the cell value against
    `testColumn` - the column index of the cell which contains the value to test against the pattern
    `decorateColumn` - the column index of the cell which should be decorated if the test against the value succeeds.

### PatternPredicate

    public PatternPredicate(java.lang.String regex,
                            int testColumn,
                            int decorateColumn)

  Instantiates a Predicate with the given regex and test-/decorate column index in model coordinates. The pattern string is compiled to a Pattern with flags 0. A column index of -1 is interpreted as "all". (PENDING: search forum for the exact definition, legacy base pattern and search behave differently?)

  Parameters:
    `regex` - the regex string to test the cell value against
    `testColumn` - the column index of the cell which contains the value to test against the pattern
    `decorateColumn` - the column index of the cell which should be decorated if the test against the value succeeds.

### PatternPredicate

    public PatternPredicate(java.lang.String regex,
                            int testColumn)

  Instantiates a Predicate with the given regex and test column index in model coordinates. The pattern string is compiled to a Pattern with flags 0. A column index of -1 is interpreted as "all". (PENDING: search forum for the exact definition, legacy base pattern and search behave differently?)

  Parameters:
    `regex` - the regex string to test the cell value against
    `testColumn` - the column index of the cell which contains the value to test against the pattern

Method Detail

### isHighlighted

    public boolean isHighlighted(java.awt.Component renderer,
                                 ComponentAdapter adapter)

  Description copied from interface: `HighlightPredicate`
  Returns a boolean to indicate whether the component should be highlighted.

  Note: both parameters should be considered strictly read-only!

  Specified by:
    `isHighlighted` in interface `HighlightPredicate`
  Parameters:
    `renderer` - the cell renderer component that is to be decorated, must not be null
    `adapter` - the ComponentAdapter for this decorate operation, most not be null
  Returns:
    a boolean to indicate whether the component should be highlighted.

### getHighlightColumn

    public int getHighlightColumn()

  Returns:
    returns the column index to decorate (in model coordinates)

### getPattern

    public java.util.regex.Pattern getPattern()

  Returns:
    returns the Pattern to test the cell value against

### getTestColumn

    public int getTestColumn()

  Returns:
    the column to use for testing (in model coordinates)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.